BoxPoints

Returns the corner points of a polysurface box. Points are returned in counter-clockwise order starting with the bottom rectangle of the box.

Syntax

Rhino.BoxPoints (strObject)

Parameters

arrCorners

Required. String. The object's identifier.

Returns

Array

An array of eight corner points if successful.

Null

If not successful, or on error.

Example

Dim strObject, arrPoints

strObject = Rhino.GetObject("Select box", 16)

If Not IsNull(strObject) Then

  If Rhino.IsBox(strObject) Then

    arrPoints = Rhino.BoxPoints(strObject)

  Rhino.AddPoints arrPoints

  End If

End If  

Also See

AddBox

IsBox